Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliAbstractSig.CliTypeGenericInst

java.lang.Object
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliSigType
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliTypeGenericInst

All Implemented Interfaces:
  `CliRepresentable`

Enclosing class:
  `CliAbstractSig`

public class CliAbstractSig.CliTypeGenericInst extends CliAbstractSig.CliSigType

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliSigType

  `baseTypeCode, PATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliTypeGenericInst(BinaryReader reader, CliAbstractSig.CliElementType typeCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataType`
  `getDefinitionDataType()`
  `String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`
  `String`
  `getShortRepresentation(CliStreamMetadata stream)`

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliSigType

  `getExecutionDataType, getShortRepresentation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliTypeGenericInst

    public CliTypeGenericInst(BinaryReader reader, CliAbstractSig.CliElementType typeCode) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getRepresentation

    public String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`
    Specified by:
      `getRepresentation` in class `CliAbstractSig.CliSigType`

  - ### getRepresentation

    public String getRepresentation(CliStreamMetadata stream)
    Specified by:
      `getRepresentation` in interface `CliRepresentable`
    Overrides:
      `getRepresentation` in class `CliAbstractSig.CliSigType`

  - ### getShortRepresentation

    public String getShortRepresentation(CliStreamMetadata stream)
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`
    Overrides:
      `getShortRepresentation` in class `CliAbstractSig.CliSigType`

  - ### getDefinitionDataType

    public DataType getDefinitionDataType()
    Specified by:
      `getDefinitionDataType` in class `CliAbstractSig.CliSigType`